Rippling: Get hire requirements — response body
Get hire requirements: response body. Complete fields and constraints for contract 2026-10-28.
API reference · Contract 2026-10-28
SDK schema: Get hire requirements — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Public GET /hire-requirements/ body. Shape matches hiring’s catalog JSON. Additional keys: not allowed |
country_code | string | Required within parent | ISO 3166-1 alpha-2 country code used for the lookup. |
fields_by_group | array | Required within parent | Hiring-owned field catalog grouped by request section. |
hire_type | string | Required within parent | Hire type for this catalog. POST /hires/ uses the same value. An omitted POST value defaults to direct_hire. |
required_groups | array | Required within parent | Groups you must send for this country. |
required_groups[] | string | Each item | |
requirements_version | string | Required within parent | Baseline requirement contract version for this selector tuple. |
unsupported_fields | array | Optional | Public field paths that are not writable for this selector tuple. |
unsupported_fields[] | string | Each item | |
warnings | array | Optional | Non-fatal warnings for this lookup. |
warnings[] | string | Each item |